Package org.flowable.bpmn.model

# Class Import

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Import

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Import extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `importType`
  `protected String`
  `location`
  `protected String`
  `namespace`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Import()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Import`
  `clone()`
  `String`
  `getImportType()`
  `String`
  `getLocation()`
  `String`
  `getNamespace()`
  `void`
  `setImportType(String importType)`
  `void`
  `setLocation(String location)`
  `void`
  `setNamespace(String namespace)`
  `void`
  `setValues(Import otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### importType

    protected String importType

  - ### location

    protected String location

  - ### namespace

    protected String namespace

- ## Constructor Details

  - ### Import

    public Import()

- ## Method Details

  - ### getImportType

    public String getImportType()

  - ### setImportType

    public void setImportType(String importType)

  - ### getLocation

    public String getLocation()

  - ### setLocation

    public void setLocation(String location)

  - ### getNamespace

    public String getNamespace()

  - ### setNamespace

    public void setNamespace(String namespace)

  - ### clone

    public Import clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(Import otherElement)